Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-16055

Upgrade AWS SDK to 1.11.271 in branch-2

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Blocker
    • Resolution: Fixed
    • None
    • 2.10.0, 2.8.6, 2.9.3
    • fs/s3
    • None
    • Incompatible change
    • Hide
      This change was required to address license compatibility issues with the JSON parser in the older AWS SDKs.

      A consequence of this, where needed, the applied patch contains HADOOP-12705 Upgrade Jackson 2.2.3 to 2.7.8.
      Show
      This change was required to address license compatibility issues with the JSON parser in the older AWS SDKs. A consequence of this, where needed, the applied patch contains HADOOP-12705 Upgrade Jackson 2.2.3 to 2.7.8.

    Description

      Per HADOOP-13794, we must exclude the JSON license.
      The upgrade will contain incompatible changes, however, the license issue is much more important.

      Attachments

        1. HADOOP-16055-branch-2.8-01.patch
          6 kB
          Akira Ajisaka
        2. HADOOP-16055-branch-2.8-02.patch
          6 kB
          Akira Ajisaka
        3. HADOOP-16055-branch-2.8-03.patch
          7 kB
          Akira Ajisaka
        4. HADOOP-16055-branch-2.8-03.patch
          7 kB
          Akira Ajisaka
        5. HADOOP-16055-branch-2.8-03.patch
          7 kB
          Akira Ajisaka
        6. HADOOP-16055-branch-2.9-01.patch
          2 kB
          Akira Ajisaka
        7. HADOOP-16055-branch-2-01.patch
          2 kB
          Akira Ajisaka

        Issue Links

          Activity

            People

              aajisaka Akira Ajisaka
              aajisaka Akira Ajisaka
              Votes:
              0 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: